Support Swift 4.1 in Clion

Answered

Hi everyone!

I use CLion 2018.1 on Arch Linux for developing on Swift. Recently, Apple was released new version of Swift (4.1.), but Swift plugin  does not support this version. When will the plugin update for Swift be released?

Regards, Nikita Vasilev

5 comments
Comment actions Permalink
Official comment

Hi Nikita.

Our 2018.1 plugin includes support for most of the Swift 4.1 features (status can be checked here: OC-15947). Which specific feature are you referring to? Which Swift toolchain version are you using (i.e. have you specified correct Swift 4.1 toolchain path in both CLion settings and CMakeLists)?

Comment actions Permalink

Hi Tatiana!

When I run CLion then I get some error that Swift toolchain path doesn't correct. I can not save Swift toolchain path.

I have Swift plugin version: 181.4203.549.

0
Comment actions Permalink

Nikita,

Looks like you've installed Swift toolchain into system via some OS-provided means, while we only support toolchains downloaded and installed directly from Swift.org at the moment. Could you try downloading latest Swift toolchain from there, unpacking it to some place, providing full path in CLion settings, and see if it helps? You may refer to this post, if needed.

1
Comment actions Permalink

Hi all , I am Acher (Arch Linux User) too.

 

 

aur/swift-bin is 4.1-4 version now, but is not work for CLion.

 

Just download swift-4.1.3-RELEASE-ubuntu14.04.tar.gz and extract it .

In my case, the path is /home/ping/Downloads/swift-4.1.3-RELEASE-ubuntu14.04

It's good work.

0
Comment actions Permalink

Hi,

Same issue that was mentioned above by Nikita - we only support toolchains downloaded and installed directly from Swift.org at the moment. Please watch related ticket CPP-9470.

0

Please sign in to leave a comment.